//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Skybox
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_cambridge/sky2
{
	qer_editorimage textures/aadel_cambridge/env/color.tga
	q3map_lightmapFilterRadius 0 4	
	q3map_lightsubdivide 768
	q3map_backsplash 0 0

	q3map_sunEXT 1 0.839 0.529 150 260 50 2 6 		
	q3map_skyLight 150 4			//q3map_skylight 125 6
	q3map_lightRGB 1 0.839 0.529 

	q3map_noFog

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	skyparms textures/aadel_cambridge/env/rays - -

	nopicmip
	nomipmaps
}
textures/aadel_cambridge/env/sky_flareeeeee
{
	qer_editorimage textures/aadel_cambridge/env/del_flare19.tga
	deformvertexes autosprite
	
	surfaceparm trans
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	
	nopicmip
	//nomipmaps 	//degrades blending quality :|
	{
		map textures/aadel_cambridge/env/del_flare19.tga
		blendfunc add
		//tcmod rotate 0.05
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Water
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_cambridge/water2
{
	qer_editorimage textures/aadel_cambridge/water.tga
        qer_trans 0.5
        q3map_globaltexture
	q3map_cheapwater 1 0.9 0.9 1

        surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
        surfaceparm water

        cull none
	nopicmip
	//fogparms ( 0.1 0.23 0.14 ) 1024
        {
            map textures/aadel_cambridge/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 3 3
	    tcMod turb 0.1 0.1 0.1 0.05
        }
}
textures/aadel_cambridge/watercaulk
{
	qer_editorimage textures/aadel_cambridge/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}
textures/aadel_cambridge/waterplant_2
{
	qer_alphafunc greater 0.5
	//q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nodlight
	cull none 
	nopicmip
	deformVertexes bulge 64 1 2		
	{
		map textures/aadel_cambridge/waterplant_2.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Models
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
models/mapobjects/delirium/lamp/glass_wave
{
	q3map_lightimage textures/aadel_cambridge/lamp_light.tga
	q3map_lightsubdivide 64	//32
	//q3map_lightmapFilterRadius 0 8
	surfaceparm nolightmap
	q3map_surfacelight 33000 
        {
                map models/mapobjects/delirium/lamp/glass_wave.tga
        }	
}
textures/aadel_cambridge/leaves
{
	q3map_forceMeta
	q3map_vertexScale 0.25
	q3map_bouncescale 0.0
	surfaceparm detail
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	//deformVertexes wave 100 sin 0 3 0 0.02
	//deformVertexes wave 100 sin 0 5 0 0.02
	qer_alphaFunc gequal 0.5
	{
		map textures/aadel_cambridge/leaves.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}
textures/aadel_cambridge/bark
{
	qer_editorimage textures/aadel_cambridge/bark.tga
	q3map_forcemeta
	q3map_clipModel
	q3map_vertexScale 1.3

	surfaceparm trans
	surfaceparm pointlight
	q3map_bouncescale 0.0

	nopicmip
	{
		map textures/aadel_cambridge/bark.tga
		rgbGen vertex
	}
}

//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Terrain
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_cambridge/grass_mud_phong
{
	qer_editorimage textures/aadel_cambridge/grassy2.tga
	q3map_shadeangle 40
	q3map_nonplanar
	{
		map textures/aadel_cambridge/ground2.tga
	}
	{
		map textures/aadel_cambridge/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Foliage
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~

//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Assorted Decals
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//this side faces the brighter side
textures/aadel_cambridge/metal_fence
{
	qer_editorimage textures/aadel_cambridge/metal_sheet.tga
	q3map_lightmapSampleSize 4
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	nopicmip
	q3map_cloneshader textures/aadel_cambridge/metal_fence_back
	{
		map textures/aadel_cambridge/metal_sheet.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}
textures/aadel_cambridge/metal_fence_back
{
	qer_editorimage textures/aadel_cambridge/metal_sheet.tga
	q3map_lightmapSampleSize 4
	surfaceparm alphashadow
	surfaceparm trans
	sort 9
	nopicmip
	q3map_invert
	{
		map textures/aadel_cambridge/metal_sheet.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}
textures/aadel_cambridge/wood_fence
{
	qer_editorimage textures/aadel_cambridge/wood_fence.tga
        cull none
        nopicmip
	//q3map_bouncescale 0.0
	surfaceparm alphashadow
	surfaceparm trans
        {
                map textures/aadel_cambridge/wood_fence.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
		tcmod scale 2 2
         }
}
textures/aadel_cambridge/decal_fence_2
{
	qer_editorimage textures/aadel_cambridge/fence_2.tga
	//q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm detail
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm trans
	polygonOffset
	sort 6
	cull none
	nopicmip
	{
		map textures/aadel_cambridge/fence_2.tga
		alphaFunc GE128
		depthWrite
		//rgbGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_cambridge/sn_fence1
{
	qer_editorimage textures/aadel_cambridge/sn_fence1.tga
	cull none
	q3map_vertexScale 1.5
	//q3map_lightmapSampleSize 0
	qer_trans 0.99
	surfaceparm alphashadow
	surfaceparm detail
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm trans
	sort 6
	nopicmip
	{
		map textures/aadel_cambridge/sn_fence1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	 }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_cambridge/decal_conc_crack_vert
{
	qer_editorimage textures/null_twist/decal_conc_crack_vert.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/null_twist/decal_conc_crack_vert.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_cambridge/decal_conc_cracks
{
	qer_editorimage textures/null_twist/decal_concrete_cracks.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/null_twist/decal_concrete_cracks.tga
		blendfunc gl_dst_color gl_src_color
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Misc
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//this side faces the brighter side
textures/aadel_cambridge/cloth
{
	qer_editorimage textures/aadel_cambridge/cloth.tga
	qer_trans 0.7
	
	nopicmip
	q3map_shadeangle 30
	q3map_nonplanar

	cull none
	surfaceparm trans

	//q3map_cloneshader textures/aadel_cambridge/cloth_back
	{
		map textures/aadel_cambridge/cloth.tga
		rgbgen vertex
	}
}

//a clip that has different footstep sounds
textures/aadel_cambridge/clipmarx_pavement
{
        qer_trans 0.5
        surfaceparm trans
	surfaceparm nomarks 
	surfaceparm nodlight
        {
                map $whiteimage
                blendfunc filter
        }
}
textures/aadel_cambridge/clipmarx_ceramictile
{
        qer_trans 0.5
        surfaceparm trans
	surfaceparm nomarks 
	surfaceparm nodlight
        {
                map $whiteimage
                blendfunc filter
        }
}
textures/aadel_cambridge/clipmarx_steel
{
        qer_trans 0.5
        surfaceparm trans
	surfaceparm nomarks 
	surfaceparm nodlight
        {
                map $whiteimage
                blendfunc filter
        }
}
textures/aadel_cambridge/window_1
{    
	qer_editorimage map textures/aadel_cambridge/window_1.tga
	qer_trans 0.5

	surfaceparm lightfilter
	surfaceparm trans
	surfaceparm nolightmap

	cull none

	//q3map_lightmapFilterRadius 0 32
	q3map_surfacelight 70
	
	nopicmip
        //{
	//	map textures/aadel_cambridge/window_1.tga
	//	rgbGen identity
	//}
        //{
	//	//map textures/aadel_cambridge/window_reflection.tga
	//	//blendFunc add
	//	map textures/aadel_cambridge/envmap_sky.tga
        //	blendFunc GL_DST_COLOR GL_ONE
        //	tcGen environment
	//	rgbGen identity
        //	tcmod scale 3 3		//4 4 
	//}
        {
		map textures/aadel_cambridge/window_1.tga
                blendFunc blend
		rgbGen identity
	}
	//{
	//	map $lightmap
        //	blendfunc gl_dst_color gl_zero
	//	rgbgen identity 
	//}
}
textures/aadel_cambridge/powerwire01
{
	qer_editorimage textures/aadel_cambridge/powerwire01.tga  
	//q3map_lightmapSampleSize 0
	surfaceparm noimpact  
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
        	map textures/aadel_cambridge/powerwire01.tga
        	blendFunc filter
	}
}
textures/aadel_cambridge/oldwindow
{
	q3map_lightimage textures/aadel_cambridge/env/color.tga
	qer_editorimage textures/aadel_cambridge/oldnews01b_d.tga
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 6000
	nopicmip
	{
		map textures/aadel_cambridge/oldnews01b_d.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/aadel_cambridge/oldnews01_mask.tga
		blendfunc add
	}
}
textures/aadel_cambridge/oldwindow_nolight
{
	qer_editorimage textures/aadel_cambridge/oldnews01b_d.tga
	nopicmip
	{
		map textures/aadel_cambridge/oldnews01b_d.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_cambridge/ladderclip
{
        qer_trans 0.40
	qer_editor_image textures/aadel_cambridge/ladderclip.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
	surfaceparm detail
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}
textures/aadel_cambridge/clip_nokick
{
	qer_editorimage textures/aadel_cambridge/clip_nokick.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
}
textures/aadel_cambridge/fs_gate2
{
        qer_editorimage textures/cow7/fs_gate2.tga
	surfaceparm alphashadow
	surfaceparm playerclip
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/cow7/fs_gate2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_cambridge/fs_gate3c
{
        qer_editorimage textures/cow7/fs_gate3c.tga
	surfaceparm alphashadow
	surfaceparm playerclip
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/cow7/fs_gate3c.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_cambridge/particles
{
	qer_editorimage textures/aadel_cambridge/particles.tga
	nopicmip
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans 0.7
	cull none
	{
		map textures/aadel_cambridge/particles.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod Scroll 0.01 0.1
	}
	{
		map textures/aadel_cambridge/particles.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcmod scale 0.5 0.5
		tcMod Scroll -0.02 0.2
	}
	{
		map textures/aadel_cambridge/particles.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcmod scale 0.25 0.25
		tcMod Scroll -0.02 0.1
	}
	{
		map textures/aadel_cambridge/particles.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcmod scale 0.25 0.25
		tcMod Scroll 0.03 0.2
	}
}
textures/aadel_cambridge/header_logo
{
	nopicmip
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	polygonOffset
	{
		map textures/aadel_cambridge/header_logo.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		rgbGen identity
	}
}
//credz NulL
textures/aadel_cambridge/gold_shader
{
	qer_editorimage textures/aadel_cambridge/metal_base.tga
	nopicmip
	{
		map textures/aadel_cambridge/metal_base.tga
		rgbGen identity
	}
//	{
//		map textures/effects/tinfx2.tga	//metal_fx
//		blendfunc gl_one gl_one
//		tcgen environment
//	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Windows
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_cambridge/sn_window2
{
	q3map_lightmapBrightness 1.4
	qer_editorimage textures/sweetnutz/sn_window2.tga
	{	
		map textures/sweetnutz/sn_window2.tga
	}
	{
		map textures/aadel_cambridge/envmap_sky.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/sweetnutz/sn_window2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_cambridge/sn_window8
{
	qer_editorimage textures/sweetnutz/sn_window8.tga
	q3map_lightmapBrightness 1.4
	{	
		map textures/sweetnutz/sn_window8.tga
	}
	{
		map textures/aadel_cambridge/envmap_sky.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/sweetnutz/sn_window8.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_cambridge/parpaingwind01cadrb_d
{
	q3map_lightmapBrightness 1.4
	{	
		map textures/aadel_cambridge/parpaingwind01cadrb_d.tga
	}
	{
		map textures/aadel_cambridge/envmap_sky.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_cambridge/parpaingwind01cadrb_d.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	LevelShot Hax
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
levelshots/ut4_cambridge
{
	nopicmip
	nomipmaps
        {
                map levelshots/ut4_cambridge.tga
        }
	//{
        //       map levelshots/ut4_cambridge_2.tga
	//	blendFunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	//	alphaGen	wave sin 0 1 1 0.03
	//}	
	
}